---
title: "Gets specific Transfer Item by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-transfers-id-transferitems-item_id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Transfer Item by unique id

`GET` `/transfers/{id}/transferitems/{item_id}`

Operation ID: `get-transfers-id-transferitems-item_id`

Gets specific Transfer Item by unique id

## Path parameters

- `id` (integer, int32, required) - Transfer id
- `item_id` (integer, int32, required) - Transfer Item id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Transfer Item
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Transfer Item not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /transfers/{id}/transferitems/{item_id}:
    get:
      tags:
        - transfers
      summary: Gets specific Transfer Item by unique id
      description: Gets specific Transfer Item by unique id
      operationId: get-transfers-id-transferitems-item_id
      parameters:
        - name: id
          in: path
          description: Transfer id
          required: true
          schema:
            type: integer
            description: Transfer id
            format: int32
        - name: item_id
          in: path
          description: Transfer Item id
          required: true
          schema:
            type: integer
            description: Transfer Item id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Transfer Item
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Transfer"
              example:
                id: 0
                status:
                  id: 0
                  name: string
                transfer_type:
                  id: 0
                  name: string
                outlet_from:
                  id: 0
                  name: string
                outlet_to:
                  id: 0
                  name: string
                notes: string
                approved: true
                approved_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                purchase_order:
                  id: 0
                  status:
                    id: 0
                    name: string
                  eta: string
                  supplier_invoice_number: string
                  created_on: string
                  modified_on: string
                  received_on: string
                  created_by:
                    id: 0
                    user_code: string
                    first_name: string
                    surname: string
                  modified_by:
                    id: 0
                    user_code: string
                    first_name: string
                    surname: string
                order:
                  id: 0
                  customer:
                    customer_number: string
                    email: string
                    first_name: string
                    id: 0
                    last_name: string
                    custom_reference: string
                  order_number: string
                  original_order_id: 0
                  created_on: string
                  vouchers:
                    - id: 0
                      code: string
                      type:
                        id: 0
                        name: string
                      initial_value: 0
                      balance: 0
                      created_on: string
                      expires_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                created_on: string
                modified_on: string
                total_picked_buy_price_ex: 0
                total_picked_direct_costs_ex: 0
                total_picked_cogs_ex: 0
                transfer_items:
                  - id: 0
                    transfer_id: 0
                    product:
                      carton_quantity: string
                      cubic: 0
                      rrp_inc: 0
                      sell_price_inc: 0
                      breadth: 0
                      custom_properties:
                        - name: string
                          value: string
                      depth: 0
                      id: 0
                      length: 0
                      manufacturer_sku: string
                      product_type:
                        id: 0
                        name: string
                        modified_on: string
                      short_description: string
                      supplier:
                        id: 0
                        supplier_code: string
                        name: string
                        is_enabled: true
                        modified_on: string
                      supplier_sku: string
                      supplier_sku2: string
                      weight: 0
                      attributes:
                        - id: 0
                          name: string
                          type: string
                          modified_on: string
                          value:
                            id: 0
                            name: string
                            list_order: 0
                      sales_channels:
                        - id: 0
                          name: string
                          shopify_channel: true
                          source_group:
                            id: 0
                            name: string
                          enabled: true
                      export_to_web: true
                      package: true
                      has_package_products: true
                      last_sold_on: string
                      require_serial_number: 0
                      last_fulfiled_on: string
                      external_links:
                        - id: 0
                          name: string
                          url: string
                      fixed_price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          modified_on: string
                      price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          web_price_inc: 0
                          modified_on: string
                    quantity_proposed: 0
                    quantity_requested: 0
                    quantity_allocated: 0
                    quantity_picked: 0
                    quantity_dispatched: 0
                    quantity_received: 0
                    quantity_made_available: 0
                    buy_price_ex: 0
                    direct_costs_ex: 0
                    commited_on: string
                    created_on: string
                    modified_on: string
                simple_mode: true
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Transfer Item not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Transfer:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Transfer Identifier
          format: int32
          nullable: true
        status:
          $ref: "#/components/schemas/TransferStatus"
        transfer_type:
          $ref: "#/components/schemas/TransferType"
        outlet_from:
          $ref: "#/components/schemas/OutletLimited"
        outlet_to:
          $ref: "#/components/schemas/OutletLimited"
        notes:
          type: string
          description: Notes
          nullable: true
        approved:
          type: boolean
          description: Approved
        approved_by:
          $ref: "#/components/schemas/UserExtended"
        purchase_order:
          $ref: "#/components/schemas/PurchaseOrderLimited"
        order:
          $ref: "#/components/schemas/OrderLimited"
        created_by:
          $ref: "#/components/schemas/UserExtended"
        created_on:
          type: string
          description: Created On
          format: date-time
        modified_on:
          type: string
          description: Modified On
          format: date-time
          nullable: true
        total_picked_buy_price_ex:
          type: number
          description: Total Picked Buy Price Ex
          format: double
          nullable: true
        total_picked_direct_costs_ex:
          type: number
          description: Total Picked Direct Costs Ex
          format: double
          nullable: true
        total_picked_cogs_ex:
          type: number
          description: Total Picked Cogs Ex
          format: double
          nullable: true
        transfer_items:
          type: array
          items:
            $ref: "#/components/schemas/TransferItem"
          description: Transfer Items
          nullable: true
        simple_mode:
          type: boolean
          description: Simple Mode
      additionalProperties: false
      description: Transfer model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    TransferStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        name:
          type: string
          description: Type Name
          nullable: true
      additionalProperties: false
      description: Transfer Status
    TransferType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id
          format: int32
        name:
          type: string
          description: Type Name
          nullable: true
      additionalProperties: false
      description: Transfer Type
    OutletLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
      additionalProperties: false
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    PurchaseOrderLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Purchase order id
          format: int32
          nullable: true
        status:
          $ref: "#/components/schemas/PurchaseOrderStatus"
        eta:
          type: string
          description: Eta
          format: date-time
          nullable: true
        supplier_invoice_number:
          type: string
          description: Supplier Invoice Number
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
        received_on:
          type: string
          description: Received on
          format: date-time
          nullable: true
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Purchase order model
    OrderLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        customer:
          $ref: "#/components/schemas/CustomerLimited"
        order_number:
          type: string
          description: The Order identifier in Retail Express.
          nullable: true
        original_order_id:
          type: integer
          description: Original Order Id.
          format: int32
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        vouchers:
          type: array
          items:
            $ref: "#/components/schemas/OrderVoucher"
          description: Vouchers.
          nullable: true
      additionalProperties: false
    TransferItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Transfer Item Identifier
          format: int32
          nullable: true
        transfer_id:
          type: integer
          description: Transfer Identifier
          format: int32
        product:
          $ref: "#/components/schemas/ProductExtended"
        quantity_proposed:
          type: integer
          description: Quantity Proposed
          format: int32
          nullable: true
        quantity_requested:
          type: integer
          description: Quantity Requested
          format: int32
          nullable: true
        quantity_allocated:
          type: integer
          description: Quantity Allocated
          format: int32
          nullable: true
        quantity_picked:
          type: integer
          description: Quantity Picked
          format: int32
          nullable: true
        quantity_dispatched:
          type: integer
          description: Quantity Dispatched
          format: int32
          nullable: true
        quantity_received:
          type: integer
          description: Quantity Received
          format: int32
          nullable: true
        quantity_made_available:
          type: integer
          description: Quantity Made Available
          format: int32
          nullable: true
        buy_price_ex:
          type: number
          description: Buy Price Ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct Costs Ex
          format: double
          nullable: true
        commited_on:
          type: string
          description: Commited On
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created On
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified On
          format: date-time
          nullable: true
      additionalProperties: false
      description: Transfer Item model
    PurchaseOrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Status identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Status name
          nullable: true
      additionalProperties: false
      description: Purchase order status model
    CustomerLimited:
      title: ""
      type: object
      properties:
        customer_number:
          type: string
          description: Customer number
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        last_name:
          type: string
          description: Last name
          nullable: true
        custom_reference:
          type: string
          description: Custom reference
          nullable: true
      additionalProperties: false
    OrderVoucher:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Voucher code
          nullable: true
        type:
          $ref: "#/components/schemas/VoucherVoucherType"
        initial_value:
          type: number
          description: Initial value
          format: double
          nullable: true
        balance:
          type: number
          description: Balance
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        expires_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
      additionalProperties: false
    ProductExtended:
      title: ""
      type: object
      properties:
        carton_quantity:
          type: string
          description: Carton quantity
          nullable: true
        cubic:
          type: number
          description: Cubic
          format: double
        rrp_inc:
          type: number
          description: Rpr inc
          format: double
          nullable: true
        sell_price_inc:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Sell Price, cannot be used along with markup_target
          format: double
          nullable: true
        breadth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Breadth
          format: double
          nullable: true
        custom_properties:
          type: array
          items:
            $ref: "#/components/schemas/CustomProperty"
          description: List of custom properties
          nullable: true
        depth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Depth
          format: double
          nullable: true
        id:
          type: integer
          description: Product id.
          format: int32
          nullable: true
        length:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Length
          format: double
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        short_description:
          type: string
          description: Product description.
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2.
          nullable: true
        weight:
          maximum: 99999999.9999
          minimum: -99999999.9999
          type: number
          description: Weight
          format: double
          nullable: true
        attributes:
          type: array
          items:
            $ref: "#/components/schemas/Attribute"
          description: Product attributes
          nullable: true
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/ProductSalesChannelVM"
          description: Product Sales Chanels
          nullable: true
        export_to_web:
          type: boolean
          description: Export To Web
          nullable: true
        package:
          type: boolean
          description: Package
        has_package_products:
          type: boolean
          description: Has Package Products
        last_sold_on:
          type: string
          description: Last Processed Sold
          format: date-time
          nullable: true
        require_serial_number:
          type: integer
          description: Require SerialNumber
          format: int32
        last_fulfiled_on:
          type: string
          description: Last Fulfiled
          format: date-time
          nullable: true
        external_links:
          type: array
          items:
            $ref: "#/components/schemas/ProductExternalLinks"
          description: Product External Links.
          nullable: true
        fixed_price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductFixedPriceGroupVM"
          description: Product Fixed Price Groups
          nullable: true
        price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductPriceGroupVM"
          description: Product Standart Price Groups
          nullable: true
      additionalProperties: false
    VoucherVoucherType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher type Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Voucher type code
          nullable: true
      additionalProperties: false
    CustomProperty:
      title: ""
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
      description: Custom Property Model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    Attribute:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Name
          nullable: true
        type:
          type: string
          description: Attribute Type
          nullable: true
          readOnly: true
        modified_on:
          type: string
          format: date-time
          nullable: true
        value:
          $ref: "#/components/schemas/AttributeValueLimited"
      additionalProperties: false
    ProductSalesChannelVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Channel Id.
          format: int32
        name:
          type: string
          description: Channel Name.
          nullable: true
        shopify_channel:
          type: boolean
          description: Shopify Channel.
        source_group:
          $ref: "#/components/schemas/SourceGroupVM"
        enabled:
          type: boolean
          description: Enabled.
      additionalProperties: false
    ProductExternalLinks:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
      description: Product External Links
    ProductFixedPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fixed Price Group Id.
          format: int32
        name:
          type: string
          description: Fixed Price Group Name.
          nullable: true
        sell_price_inc:
          type: number
          description: Fixed Price Group Price.
          format: double
          nullable: true
        modified_on:
          type: string
          description: Fixed Price Group Modified On.
          format: date-time
          nullable: true
      additionalProperties: false
    ProductPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        sell_price_inc:
          type: number
          description: Calculated POS Price
          format: double
        web_price_inc:
          type: number
          description: Calculated Web Price
          format: double
        modified_on:
          type: string
          format: date-time
      additionalProperties: false
    AttributeValueLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
      additionalProperties: false
    SourceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Source Group Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Source Group Name.
          nullable: true
      additionalProperties: false
```
